app.addModule('Analyzes', function () {
	var self = this;
	this.analyzes = $('.Analyzes');
	
	this.init = function () {
		if (!self.analyzes.length) {
			return;
		}
		
		var select = createSelect();
		var wrapped = $('<div />').addClass('Analyzes_select-wrap');
		wrapped.append(select);
		
		$(document).click(function () {
			if (select.is(':focus')) {
				wrapped.addClass('active');
			} else {
				wrapped.removeClass('active');
			}
		});
		
		$('.Analyzes_left').after(wrapped);
		
		select.on('change', function () {
			var option = select.find('option:selected');
			
			if (option.attr('value')) {
				location.href = option.attr('value');
			}
		});
	};
	
	function createSelect() {
		var select = $('<select/>');
		select.addClass('Analyzes_select');
		
		$('.Analyzes_left a').each(function () {
			var option = $('<option />');
			option.attr('value', $(this).attr('href'));
			if($(this).data('id')=='active'){
			
			
			option.attr('selected', 'selected');

			}
			option.text( $(this).text() );
			
			select.append(option);
		});
		
		
		return select;
	}
});
app.addModule('Footer', function () {
	this.footer = $('.Footer');
	var self = this;
	this.init = function () {
		changeBodyPadding();
		
		$(window).on('resize', changeBodyPadding);
	};
	
	function changeBodyPadding() {
		$('body').css({
			paddingBottom: self.footer.innerHeight()
		});
	}
});
app.addModule('Full-slider', function () {
	this.init = function () {
		try {
			$('.Full-slider_items.__new-services').slick({
				variableWidth: true,
				infinite: false,
				slidesToShow: 3,
				
				responsive: [
					{
						breakpoint: responsive.desktop,
						settings: {
							slidesToShow: 2
						}
					},
					{
						breakpoint: responsive.tablet - 10,
						settings: {
							slidesToShow: 1
						}
					}
				]
			});
		} catch(e) {}
		
		try {
			$('.Full-slider_items.__actions').slick({
				variableWidth: true,
				infinite: false,
				slidesToShow: 2,
				
				responsive: [
					{
						breakpoint: responsive.desktop,
						settings: {
							slidesToShow: 1
						}
					},
					{
						breakpoint: responsive.mobile,
						settings: {
							slidesToShow: 1,
							variableWidth: false
						}
					}
				]
			});
		} catch(e) {}
	};
});
app.addModule('Header', function () {
	this.init = function () {
		$('.Header_phone-select').on('change', function () {
			var selected =  $(this).find('option:selected');
			
			$('.Header_phone-text').text(selected.attr('value'));
		});
	};
});
app.addModule('Main-slider', function () {
	this.init = function () {
		try {
			var scene = document.getElementById('scene');

			new Parallax(scene, {
				inputElement: document.getElementById('main-slider'),
				calibrateY: false,
				invertY: false,
				scalarY: 0,
				frictionY: 0,
				originY: 0
			});
		} catch(e) {}
		
		try {
			$('.Main-slider_items').slick({
				arrows: false,
				autoplay: true,
				autoplaySpeed: 2000,
				dots: true,
				adaptiveHeight: true,
				vertical: true,
				verticalSwiping: true,
				
				responsive: [
					{
						breakpoint: 1140,
						settings: {
							verticalSwiping: false
						}
					}
				]
			});
		} catch(e) {}
	};
});
app.addModule('Nav', function () {
	var self = this;
	var mobiled = false;
	this.$Nav = $('.Nav');
	var wWidth = windowWidth();

	this.init = function () {
		$('.Nav_list a').click(function (e) {
			if ($(this).next().hasClass('Nav_inner')) {
				e.preventDefault();
				var inInner = $(this).closest('.Nav_else .Nav_inner').length;
				
				var next = $(this).next();
				
				var visible = $('.Nav_inner:visible');
				
				if (!inInner) {
					visible.not(next).slideUp(200);
					visible.not(next).closest('li').removeClass('active');
				}
				
				if (next.is(':visible')) {
					$(this).closest('li').removeClass('active');
					$(this).next().slideUp(200);
				} else {
					$(this).closest('li').addClass('active');
					$(this).next().slideDown(200);
				}
			}
		});

		$(document).click(function (e) {
			if (!$(e.target).closest('.Nav_list').length) {
				hideAll();
			}
		});
		
		this.$Nav.popup({
			button: '.Header_menu',
			animateType: 'menu'
		});
		

		$(window).on('load resize', function () {
			doMobile();
		});
		doMobile();
	};

	function doMobile() {
		if (isTablet()) {
			mobileMenu();
		} else {
			unMobileMenu();
		}
	}
	
	var nth = $(
		'.Nav_list > li:nth-child(5),' +
		'.Nav_list > li:nth-child(6),' +
		'.Nav_list > li:nth-child(7)'
	);

	function mobileMenu() {
		if (mobiled) {
			return;
		}
		
		if (wWidth !== windowWidth()) {
			self.$Nav.popup('close');
			wWidth = windowWidth();
		}
		
		$('.Nav_else .Nav_inner').prepend(nth);
		mobiled = true;
	}
	
	function unMobileMenu() {
		if (!mobiled) {
			return;
		}
		
		if (wWidth !== windowWidth()) {
			self.$Nav.popup('close');
			wWidth = windowWidth();
		}

		$('.Nav_else').before(nth);
		mobiled = false;
	}

	function hideAll() {
		var visible = $('.Nav_inner:visible');
		
		if (visible.length) {
			visible.slideUp(200);
			visible.closest('li').removeClass('active');
		}
	}
});
app.addModule('Popup-form', function () {
	this.init = function () {
		
		$('.popup').magnificPopup({
			preloader: false,
			type: 'inline',
			showCloseBtn: false,
			removalDelay: 300,
			mainClass: 'mfp-fade'
		});
		$('.Popup-form_close').click(function (e) {
			e.preventDefault();
			$.magnificPopup.close();
		});
		
		
		$('.Popup-form_input, .Contact_input').on('blur input', function () {
			var _this = this;
			setTimeout(function () {
				if (!isEmpty(_this)) {
					$(_this).next().addClass('active');
				} else {
					$(_this).next().removeClass('active');
				}
			}, 10);
		});

		$('.Popup-form_input, .Contact_input').on('focus', function () {
			$(this).next().addClass('active');
		});

		$('input[type=tel]').mask("+7 (999) 999 99 99");
	};

	function isEmpty(el) {
		return !!el.value === false;
	}
});
app.addModule('Tab', function () {
	this.init = function () {
		$('.Tab_headings a').click(function (e) {
			e.preventDefault();
			
			var block = $( $(this).attr('href') );
			
			$('.Tab_item').removeClass('active');
			block.addClass('active');
			
			$('.Tab_headings a').removeClass('active');
			$(this).addClass('active');
		});
	};
});
function initMap() {
	var styles = [
		{
			"featureType": "administrative",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "landscape",
			"elementType": "all",
			"stylers": [
				{
					"hue": "#3500ff"
				},
				{
					"saturation": -100
				},
				{
					"lightness": 129.33333333333334
				},
				{
					"gamma": 1
				},
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "poi",
			"elementType": "all",
			"stylers": [
				{
					"hue": "#00ffff"
				},
				{
					"saturation": 61.80000000000001
				},
				{
					"lightness": 13.800000000000011
				},
				{
					"gamma": 1
				},
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "road",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "off"
				}
			]
		},
		{
			"featureType": "road.highway",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "on"
				},
				{
					"color": "#d1c5ff"
				},
				{
					"weight": "0.55"
				}
			]
		},
		{
			"featureType": "road.highway",
			"elementType": "labels.icon",
			"stylers": [
				{
					"visibility": "off"
				}
			]
		},
		{
			"featureType": "road.highway.controlled_access",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "road.highway.controlled_access",
			"elementType": "labels.icon",
			"stylers": [
				{
					"visibility": "off"
				}
			]
		},
		{
			"featureType": "road.arterial",
			"elementType": "all",
			"stylers": [
				{
					"hue": "#00b7ff"
				},
				{
					"saturation": -31.19999999999996
				},
				{
					"lightness": 2.1803921568627374
				},
				{
					"gamma": 1
				},
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "road.local",
			"elementType": "all",
			"stylers": [
				{
					"hue": "#00B5FF"
				},
				{
					"saturation": -33.33333333333343
				},
				{
					"lightness": 27.294117647058826
				},
				{
					"gamma": 1
				},
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "transit",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "transit.line",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "off"
				}
			]
		},
		{
			"featureType": "transit.station.airport",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "on"
				}
			]
		},
		{
			"featureType": "transit.station.bus",
			"elementType": "all",
			"stylers": [
				{
					"visibility": "off"
				}
			]
		},
		{
			"featureType": "water",
			"elementType": "all",
			"stylers": [
				{
					"hue": "#3500ff"
				},
				{
					"saturation": 8.400000000000006
				},
				{
					"lightness": 36.400000000000006
				},
				{
					"gamma": 1
				}
			]
		}
	];

	var $map = $('#map');
	var coords = {lat: 53.724034, lng: 91.439637};
	var zoom = 13;
	try {
		var map = new google.maps.Map(document.getElementById("map"), {
			zoom: zoom,
			disableDefaultUI: true,
			zoomControl: true,
			center: new google.maps.LatLng(coords),
			mapTypeId: "roadmap",
			scrollwheel: false,
			styles: styles
		});

		var marker = new google.maps.Marker({
			position: coords,
			map: map
		});

	}
	catch (e) {
	}
}
jQuery(function () {
	app.modulesInit();
	
	var modules = app.getModules();

	for (var module in modules) {
		app.callModule(module);
	}
});


$(document).ready(function(){ 

	
	


	



	$(".Header_phone-wrap").hover(
        function(){ 
           $("#slide_header_menu2").css("display","block");   
           $("#slide_header_menu2").css("z-index","999"); 
           $("#slide_header_menu").css("border","1px solid #e6edea"); 
           $("#slide_header_menu").css("border-bottom","1px solid #fff"); 
           $("#slide_header_menu2").css("border","1px solid #e6edea"); 
           $("#slide_header_menu2").css("border-top","1px solid #fff");
        },function(){
        		$("#slide_header_menu").css("border","1px solid #fff"); 
                $("#slide_header_menu2").css("display","none");   
        });


	$(document).on("click", "#Services_items_eshe",function(e){		
   		if ($('#Services_items_eshe').text()== "Ещё услуги"){
	  		$("#Services_items_display_none").slideDown();
	  		$('#Services_items_eshe').text('Скрыть');
	  	} else {
	  		$("#Services_items_display_none").slideUp();
	  		$('#Services_items_eshe').text('Ещё услуги');
	  	}	  		
   });



	
	


});



